Bug 962389 - RHEVM-CLI: rhevm-shell returns not user friendly error after passing string to -S parameter
RHEVM-CLI: rhevm-shell returns not user friendly error after passing string t...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Juan Hernández
Ilia Meerovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 06:46 EDT by Ilia Meerovich
Modified: 2016-02-10 14:25 EST (History)
8 users (show)

See Also:
Fixed In Version: is3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15021 None None None Never

  None (edit)
Description Ilia Meerovich 2013-05-13 06:46:07 EDT
sf15:

[imeerovi@imeerovi ART]$ /usr/bin/rhevm-shell -c --url=https://leonid_rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I  -S foo 

error: invalid literal for int() with base 10: 'foo'
Comment 1 Ilia Meerovich 2013-05-13 08:34:42 EDT
I can see that actually I can pass negative value to sdk without any error message:

In [5]: api = API(url='https://leonid_rhevm.qa.lab.tlv.redhat.com:443/api/', username='admin@internal', password='123456', insecure=True, session_timeout=-10)
Comment 2 Michael Pasternak 2013-05-13 09:40:17 EDT
(In reply to comment #1)
> I can see that actually I can pass negative value to sdk without any error
> message:
> 
> In [5]: api = API(url='https://leonid_rhevm.qa.lab.tlv.redhat.com:443/api/',
> username='admin@internal', password='123456', insecure=True,
> session_timeout=-10)

negative numbers have same meaning as 0, i.e TTL is disabled.
Comment 3 Ilia Meerovich 2013-07-03 04:39:54 EDT
[root@ilia-rhevm ~]#  /usr/bin/rhevm-shell -c --url=https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I -S foo
Password: 



error: value used for the "SESSION_TIMEOUT" is "foo", while <type int> is expected.



        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (disconnected)]# exit
[root@ilia-rhevm ~]#  /usr/bin/rhevm-shell -c --url=https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I -S -1
Password: 

 ==========================================
 >>> connected to RHEVM manager 3.3.0.0 <<<
 ==========================================


        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (connected)]# exit
[root@ilia-rhevm ~]#  /usr/bin/rhevm-shell -c --url=https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I -S 0x0
Password: 


error: value used for the "SESSION_TIMEOUT" is "0x0", while <type int> is expected.



        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (disconnected)]# exit
[root@ilia-rhevm ~]#  /usr/bin/rhevm-shell -c --url=https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I -S 10
Password: 



 ==========================================
 >>> connected to RHEVM manager 3.3.0.0 <<<
 ==========================================


        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (connected)]# exit
[root@ilia-rhevm ~]#  /usr/bin/rhevm-shell -c --url=https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I -S '10'
Password: 

 ==========================================
 >>> connected to RHEVM manager 3.3.0.0 <<<
 ==========================================


        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (connected)]# exit
[root@ilia-rhevm ~]#  /usr/bin/rhevm-shell -c --url=https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I -S 10o0
Password: 


error: value used for the "SESSION_TIMEOUT" is "10o0", while <type int> is expected.



        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (disconnected)]# exit
[root@ilia-rhevm ~]#  /usr/bin/rhevm-shell -c --url=https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I -S foo
Password: 

error: value used for the "SESSION_TIMEOUT" is "foo", while <type int> is expected.



        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (disconnected)]# exit
Comment 5 Itamar Heim 2014-01-21 17:25:30 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:26:09 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:29:37 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.